Package org.eclipse.ecf.remoteservice.client

# Interface IRemoteResponseDeserializer

All Known Implementing Classes:
  `XMLRemoteResponseDeserializer`

public interface IRemoteResponseDeserializer
Deserializer for processing call response objects.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`Object`
`deserializeResponse(String endpoint, IRemoteCall call, IRemoteCallable callable, Map responseHeaders, byte[] responseBody)`
Deserialize remote response.

## Method Details

### deserializeResponse

Object deserializeResponse(String endpoint, IRemoteCall call, IRemoteCallable callable, Map responseHeaders, byte[] responseBody) throws NotSerializableException
Deserialize remote response.

Parameters:
  `endpoint` - the endpoint. Should not be `null`.
  `call` - the call associated with the parameter to serialize. Will not be `null`.
  `callable` - the callable associated with the parameter to serialize. Will not be `null`.
  `responseHeaders` - response headers associated with the successful remote call. May be `null`.
  `responseBody` - the actual response body to deserialize. May be `null`.
Returns:
  Object the deserialized response. May be `null`.
Throws:
  `NotSerializableException` - thrown if the responseBody cannot be deserialized.
Since:
  8.0